#ifndef FATAL_H_
#define FATAL_H_

#include <stdint.h>

const uint8_t FATAL_UNKNOWN = 1;
const uint8_t FATAL_NOT_ENOUGH_CMD_SLOTS = 2;

const uint8_t FATAL_BUFFER_OVERFLOW = 10;

const uint8_t FATAL_ADC_NOTFOUND = 20;
const uint8_t FATAL_ILLEGAL_STATE = 21;


void fatal(uint8_t code);


#endif /* FATAL_H_ */
